Subject: Re: [16NG] Resolutions to issues raised during 2nd WGLC of I-D draft-ietf-16ng-ipv6-over-ipv6cs-04 [2]

From: gabriel montenegro <[email-masked]>
Date: Fri, 12 Jan 2007 10:13:42 -0800 (PST)

Alex,

DJ Jonhston already clarified this in his email on Dec. 20. Extracting from
that message:

"However the establishment of IP connectivity described in the network
entry in 802.16 has nothing to do with the IP connectivity we are
dealing with in 16ng."

-gabriel

----- Original Message ----
From: Alexandru Petrescu <[email-masked]>
To: Basavaraj Patil <[email-masked]>
Cc: [email-masked]
Sent: Friday, January 12, 2007 9:52:43 AM
Subject: Re: [16NG] Resolutions to issues raised during 2nd WGLC of I-D draft-ietf-16ng-ipv6-over-ipv6cs-04 [2]

Basavaraj Patil wrote:
> Alex,
> 
> Inline:
> 
> 
> On 1/12/07 10:57 AM, "ext Alexandru Petrescu" 
> <[email-masked]> wrote:
> 
>> Hi, please allow me to interfere with clarifications.
>> 
>> Basavaraj Patil wrote:
>>> Comments by Bruno Sousa:
>> [skip parts I agree]
>>>> 4) IPv6 link in 802.16 " In 802.16, there exists an L2 
>>>> Transport Connection between an MS and a BS which is used to 
>>>> transport user data, i.e IPv6 packets in this case.  A 
>>>> Transport Connection is represented by a CID (Connection 
>>>> Identifier) and multiple Transport Connections can exist 
>>>> between an MS and BS. " I think the first sentence is somehow 
>>>> contradictory with the rest of the paragraph. It is possible to
>>>>  have more then one transport connection between MS and BS. 
>>>> These transport connections are defined on the MAC layer (L2), 
>>>> so why refer "there exists an L2 Transport Connection?!"
>>>> 
>>>> (If my thoughts are correct) I propose to change the first 
>>>> sentence to:
>>>> 
>>>> In 802.16, the Transport Connection between an MS and a BS is 
>>>> used to transport user data, i.e. IPv6 packets in this case.
>>> Agreed. Incorporated the proposed sentence.
>> But there are IPv6 packets that are sent on the Secondary 
>> Management Connection as well (RS/RA at least) 6.3.9.10 
>> 802.16e-2005.  I suggest saying that only _some_ of the IPv6 
>> packets are transported on some Transport Connection, or along 
>> these lines.
> 
> The secondary management connection is typically not used for user 
> data. As the .16 spec says it can be used for address configuration, 
> TFTP etc.

Not only that it can but it must, by that spec.

> Also to be noted is the fact that secondary management connections 
> are not mandatorily required. The usage for which it has been defined
>  can be accomplished via a regular transport connection.

I don't think the 802.16 spec says anywhere that RS/RA could be sent on
anything else than Secondary Management Connection.  Do you?

>> From a practical standapoint, I do not see hosts or BS' 
>> implementing or using the secondary management connection. So I can
>>  mention it in the text of the I-D, but it would not be very
>> useful.
>> 
> 
>> Probably best for reader would be to enumerate the different types 
>> of Connections the SS can handle and where do IPv6 packets appear. 
>> What do you think?
> 
> I don't think we should get into the details of the various types of
>  connections in the I-D. The reference to the .16 spec is sufficient
>  for that. But I can mention that there does exist the secondary 
> management connection which may be used for host configuration with a
>  caveat that for all practical purposes it is better to use a 
> transport connection for the same.
> 
> The reason why the secondary management connection does not make 
> sense is because it is limited in its capability. Establishing a 
> transport connection instead allows you to do the same host 
> configuration as well as use it for user traffic.

I am afraid the 802.16 spec clearly says RS/RA only happen on the
Secondary Management Connection and we can't suggest do it otherwise.

Alex

_______________________________________________
16NG mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/16ng

_______________________________________________
16NG mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/16ng

---

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 12 Jan 2007 19:37:57 +0100

gabriel montenegro wrote:
> Alex,
> 
> DJ Jonhston already clarified this in his email on Dec. 20.
> Extracting from that message:
> 
> "However the establishment of IP connectivity described in the
> network entry in 802.16 has nothing to do with the IP connectivity we
> are dealing with in 16ng."

That is indeed a strong statement about the extent of differences
between the 802.16 network entry procedure and the IP connectivity we
(who's we) dealing with in 16ng.

But I wouldn't see any clearer by that statement.

If there were an amendment to the 802.16 spec saying that the SMC (2ry
mgmt connect'n) is discarded and that IPv6 RS/RA happens on a transport
connection then yes, it would have been a clarification.

Actually, I don't know to what extent can _any_ statement made in this
draft (IPv6-overIPv6CS), of which this RS/RA transport connection is but
one, can over-ride the 802.16 statements.  I personally thought the
draft can only suggest things to the 802.16 document, not plain over-riding.

Alex